<?php

session_start();
include '../config/database.php';
include_once '../security/session_config.php';
include_once '../security/csrf.php';
include_once '../config/properties.php';
include_once "../resources/forum.php";

$csrf_token = $_POST['csrf_token'];
validate_csrf_request($csrf_token);

// initialize objects
$forum = new Forum();

$id = $_SESSION['uid'];
$result = FALSE;

$response_text = $_POST['response_text'];
//if($response_text != null){
$response_id = $_POST['response_id'];

$forum->response_desc = $response_text;
$forum->last_updated_ts = $date_time;
$forum->response_id = $response_id;

if ($forum->edit_question_response()) {
    $result = TRUE;
}

//}
echo $result;

?>

